## org.apache.xerces.xs
Interface XSNamespaceItemList

All Superinterfaces:
  java.util.Collection, java.util.List

public interface XSNamespaceItemList
extends java.util.List

The `XSNamesaceItemList` interface provides the abstraction of an immutable ordered collection of `XSNamespaceItem`s, without defining or constraining how this collection is implemented.

Method Summary
`int` `getLength()` The number of `XSNamespaceItem`s in the list.
`XSNamespaceItem` `item(int index)` Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list.

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Method Detail

### getLength

    public int getLength()

  The number of `XSNamespaceItem`s in the list. The range of valid child object indices is 0 to `length-1` inclusive.

### item

    public XSNamespaceItem item(int index)

  Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list. The index starts at 0.
  Parameters:
    `index` - index into the collection.
  Returns:
    The `XSNamespaceItem` at the `index`th position in the `XSNamespaceItemList`, or `null` if the index specified is not valid.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.